Subject: bug#50774: closed (Re: bug#50774: guix-install.sh outputs invalid utf-8 characters)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jul 2022 13:39:02 +0000

Your bug report

#50774: guix-install.sh outputs invalid utf-8 characters

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50774: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50774
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50774: guix-install.sh outputs invalid utf-8 characters
From: Maxim Cournoyer <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked], Dhruvin Gandhi <[email-masked]>
Date: Tue, 12 Jul 2022 09:37:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxime Devos <[email-masked]> writes:

> Dhruvin Gandhi schreef op vr 24-09-2021 om 13:26 [+0000]:
>> [...]
>> > This seems like a locale issue:
>> > 
>> > [...]
>> > Did you set LC_ALL to an UTF-8 locale before running guix-install.sh?
>> 
>> No
>> 
>> > If not, the default ANSI_X3.4-1968 encoding is used, which doesn't support the letter è.
>> 
>> I think this must be it.
>> 
>> Is defining LC_ALL=en_US.UTF-8 necessary before using the installer? If yes, should we document
>> it or maybe add it to the installer itself?
>
> I don't think it is.  Other locales such as LC_ALL=nl_NL.UTF-8 should work too I think,
> and an UTF-8 locale isn't required AFAIK, though an UTF-8 locale appears to be required to
> get UTF-8 output from guix-install.

Closing, as a UTF-8 locale shouldn't be a requirement for using
install.sh.

Thanks for the report!

Maxim

Subject: guix-install.sh outputs invalid utf-8 characters
From: "Dhruvin Gandhi" <[email-masked]>
To: [email-masked]
Date: Fri, 24 Sep 2021 09:21:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've recently submitted a patch to builds.sr.ht to support guix build
image. While installing guix binary on foreign distro via
guix-install.sh, it appears that the installer outputs invalid utf-8
characters[1].

References:

[1] https://lists.sr.ht/~sircmpwn/sr.ht-dev/patches/25167#%3CCEH30J59XCDH.3NMOSL8GGLIRF@taiga%3E